
Robotics Systems Commons - Enhancement #125
Change existing loggers on logging system reselection
09/13/2010 03:01 PM - J. Wienke

Status: Resolved Start date: 09/13/2010
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Logging Estimated time: 1.50 hour
Target version: 0.6
Description

Right now reselecting the logging system does not change loggers that were already retrieved from the factory. Use a decorator to
achieve this.

Associated revisions
Revision c35a66d7 - 12/05/2011 06:01 PM - J. Wienke

Add a proxy which allows to hide a logger behind the logger interface to alloww dynamic instance changes

refs #125

Revision dd4ad657 - 12/05/2011 06:33 PM - J. Wienke

Use a proxy to loggers for clients instead of directly returning the logger. This will enable to reset it in cases where a new logging system is
reconfigured

refs #125

Revision fb38a025 - 12/05/2011 07:54 PM - J. Wienke

Switch existing loggers to new logging system on reselection

refs #125

History
#1 - 09/13/2010 03:01 PM - J. Wienke
- Category set to Logging

#2 - 12/05/2011 05:53 PM - J. Wienke
- Status changed from New to In Progress
- Target version set to 0.6

#3 - 12/05/2011 07:54 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100
